net.sf.saxon.expr

## Class CurrentItemExpression

- java.lang.Object
- - net.sf.saxon.expr.Expression
  - - net.sf.saxon.expr.ContextItemExpression
    - - net.sf.saxon.expr.CurrentItemExpression

- All Implemented Interfaces:
    Serializable, SourceLocator, LocationProvider, SaxonLocator, InstructionInfo, Locator

      public class CurrentItemExpression
      extends ContextItemExpression

  The expression is generated when compiling the current() function in XSLT. It differs from the ContextItemExpression "." only in the error code that is returned when there is no context item.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.Expression

      `EFFECTIVE_BOOLEAN_VALUE, EVALUATE_METHOD, EVENT_FEED_METHOD, INHERITED_CONTEXT, INSPECTION_CONTEXT, ITEM_FEED_METHOD, ITERATE_METHOD, locationId, MAX_SEQUENCE_LENGTH, MAX_STRING_LENGTH, NAVIGATION_CONTEXT, NODE_VALUE_CONTEXT, PROCESS_METHOD, PUSH_SELECTION, staticProperties, UNBOUNDED_LOWER, UNBOUNDED_UPPER, W3C_CONSUMING, W3C_FREE_RANGING, W3C_GROUP_CONSUMING, W3C_MOTIONLESS, WATCH_METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentItemExpression()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getErrorCodeForUndefinedContext()` Get the error code for use when there is no context item
    `ExpressionCompiler` | `getExpressionCompiler()` Return the compiler of the CurrentItem expression

    - ### Methods inherited from class net.sf.saxon.expr.ContextItemExpression

      `addToPathMap, computeCardinality, computeSpecialProperties, copy, equals, evaluateItem, explain, getExpressionName, getIntrinsicDependencies, getItemType, getStreamability, hashCode, isContextPossiblyUndefined, isSubtreeExpression, iterate, optimize, toPattern, toStreamingPattern, toString, typeCheck`

    - ### Methods inherited from class net.sf.saxon.expr.Expression

      `adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, dynamicError, effectiveBooleanValue, evaluateAsString, evaluatePendingUpdates, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getDependencies, getEvaluationMethod, getExecutable, getHostLanguage, getImplementationMethod, getIntegerBounds, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getStreamingAdjunct, getSystemId, getSystemId, hasVariableBinding, implementsStaticTypeCheck, isUpdatingExpression, isVacuousExpression, iterateEvents, iterateSubExpressionInfo, iterateSubExpressions, markTailFunctionCalls, process, promote, replaceSubExpression, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, simplify, staticTypeCheck, suppressValidation, typeError`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentItemExpression

          public CurrentItemExpression()

  - ### Method Detail

    - #### getErrorCodeForUndefinedContext

          protected String getErrorCodeForUndefinedContext()

      Get the error code for use when there is no context item
      Overrides:
        `getErrorCodeForUndefinedContext` in class `ContextItemExpression`
      Returns:
        the string "XTDE1360"

    - #### getExpressionCompiler

          public ExpressionCompiler getExpressionCompiler()

      Return the compiler of the CurrentItem expression
      Overrides:
        `getExpressionCompiler` in class `ContextItemExpression`
      Returns:
        the relevant ExpressionCompiler

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.